*If(MatProp(Activate_Concrete,Int)!=1)
*WarningBox Info: Material has deactivate concrete 
*#MessageBox error: Error in data of Material. Can be destrued by Transform to new problemtype. Repair Activate_Base to checked in *MatProp(0) in **.mat of example!
*EndIf
*If(MatProp(Activate_Concrete,Int)==1)
*include ..\include.src.bas\BasicMaterialParameters.bas
*#
*If(strcmp(MatProp(Base_Material_Prototype),"CCSBETAMaterial")==0 )
*#
*include ..\include.src.bas\addCCSBETAMaterialParameters.bas
*#
*EndIf
*If(strcmp(MatProp(Base_Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious")==0 || strcmp(MatProp(Material_Prototype),"CC3DCementitious")==0)
*include ..\include.src.bas\addCC3DCementitiousMaterialParameters.bas
*EndIf
*If(strcmp(MatProp(Base_Material_Prototype),"CC3DNonLinCementitious2")==0 || strcmp(MatProp(Material_Prototype),"CC3DNonLinCementitious")==0)
*include ..\include.src.bas\addCC3DNonLinCementitiousMaterialParameters.bas
*include ..\include.src.bas\addCC3DNonLinCementitious2AdvanceMaterialParameters.bas
*#
*include ..\include.src.bas\addRadialCracks_MaterialParameter.bas
*include ..\include.src.bas\ModelIdealisation.bas
*EndIf
*EndIf
 ;
*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
*include ..\include.src.bas\Function_for_E.bas

*include ..\include.src.bas\Function_for_Ft.bas

*include ..\include.src.bas\Function_for_Fc.bas

*include ..\include.src.bas\Function_for_Fc0.bas

*include ..\include.src.bas\Function_for_Wd.bas

*include ..\include.src.bas\Function_for_Eps_cp.bas

*include ..\include.src.bas\Function_for_Gf.bas

*include ..\include.src.bas\Definition_of_Thermal_Strain.bas

MATERIAL ID *Operation(matvar*IncrAdvancedMatID+9)
  NAME "#*matvar *MatProp(0) as CC3DNonLinCementitious2WithTempDepProperties"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID)
  PARAM  "E"      F *Operation(matvar*IncrAdvancedFunID+1)
  PARAM  "FT"     F *Operation(matvar*IncrAdvancedFunID+2)
  PARAM  "FC"     F *Operation(matvar*IncrAdvancedFunID+3)
  PARAM  "FC0"    F *Operation(matvar*IncrAdvancedFunID+4)
  PARAM  "WD"     F *Operation(matvar*IncrAdvancedFunID+5)
  PARAM  "EPS_CP" F *Operation(matvar*IncrAdvancedFunID+6)
  PARAM  "GF"     F *Operation(matvar*IncrAdvancedFunID+7)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+11)
 ;
*If(MatProp(Activate_Smeared_Reinf_01,Int)==1 || MatProp(Activate_Smeared_Reinf_02,Int)==1 || MatProp(Activate_Smeared_Reinf_03,Int)==1)

*include ..\include.src.bas\Function_for_F_Multiplier.bas

*include ..\include.src.bas\Definition_of_Thermal_Strain_for_Reinf.bas

*EndIf
*EndIf
*If(MatProp(Activate_Smeared_Reinf_01,Int)==1)

*if(strcmp(MatProp(Reinf_01_Material_Prototype),"CCSmearedSteelDRC")!=0)
*include ..\include.src.bas\CCMaterialFunction01.bas
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+13)
*else
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+14)
*EndIf     
  NAME "S1" // "*MatProp(0)#*matvar REBAR#1"
  TYPE "*MatProp(Reinf_01_Material_Prototype)"
  //  E *MatProp(Reinf_01_Young_s_Modulus-E,Real) 
  RHO *MatProp(Reinf_01_RHO-Density,Real)
  ALPHA *MatProp(Reinf_01_Thermal_Expansion-Alpha,Real)
  RATIO *MatProp(Reinf_01_Reinforcing_RATIO_p=As/Ac,Real)
*if(strcmp(MatProp(Reinf_01_Material_Prototype),"CCSmearedSteelDRC")!=0)
  COMPRESSION *MatProp(Reinf_01_Active_in_Compresion,Int) 
  Function *Operation(matvar*IncrAdvancedFunID+9)
*EndIf
*include ..\include.src.bas\VectorDirection01.bas
*if(strcmp(MatProp(Reinf_01_Material_Prototype),"CCCyclingSmearedReinf")==0)
	R *MatProp(Reinf_01_Bauschinger_exp-R_,Real)
	C1 *MatProp(Reinf_01_Menegotto-Pinto-C1,Real)
	C2 *MatProp(Reinf_01_Menegotto-Pinto-C2,Real)
*elseif(strcmp(MatProp(Reinf_01_Material_Prototype),"CCSmearedSteelDRC")==0)
  E *MatProp(Reinf_01_Young_s_Modulus-E,Real)
  FY *MatProp(Reinf_01_FY,Real)
  EU *MatProp(Reinf_01_EU,Real)
  FU *MatProp(Reinf_01_FU,Real)
  ESH *MatProp(Reinf_01_ESH,Real)
  EFT *MatProp(Reinf_01_EFT,Real)
  OMEGA *MatProp(Reinf_01_OMEGA,Real)
*If(strcmp(MatProp(Reinf_01_Type_of_definition),"PSH")==0)
  PSH *MatProp(Reinf_01_PSH,Real)
*Else
  ESH1 *MatProp(Reinf_01_ESH1,Real)
  FSH1 *MatProp(Reinf_01_FSH1,Real)       
*EndIf 
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+14)
  NAME "#*matvar *MatProp(0)"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID+13)
  PARAM  "F_MULTIP" F *Operation(matvar*IncrAdvancedFunID+8)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+10)
 ;
*EndIf     

*EndIf

*If(MatProp(Activate_Smeared_Reinf_02,Int)==1)

*if(strcmp(MatProp(Reinf_02_Material_Prototype),"CCSmearedSteelDRC")!=0)
*include ..\include.src.bas\CCMaterialFunction02.bas
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+16)
*else
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+17)
*EndIf     
  NAME "S2" // "*MatProp(0)#*matvar REBAR#2"
  TYPE "*MatProp(Reinf_02_Material_Prototype)"
  //  E *MatProp(Reinf_02_Young_s_Modulus-E)
  RHO *MatProp(Reinf_02_RHO-Density,Real)
  ALPHA *MatProp(Reinf_02_Thermal_Expansion-Alpha,Real)
  RATIO *MatProp(Reinf_02_Reinforcing_RATIO_p=As/Ac)
*if(strcmp(MatProp(Reinf_02_Material_Prototype),"CCSmearedSteelDRC")!=0)
  COMPRESSION *MatProp(Reinf_02_Active_in_Compresion,Int)
  Function *Operation(matvar*IncrAdvancedFunID+14)
*EndIf
*include ..\include.src.bas\VectorDirection02.bas
*if(strcmp(MatProp(Reinf_02_Material_Prototype),"CCCyclingSmearedReinf")==0)
	R *MatProp(Reinf_02_Bauschinger_exp-R_,Real)
	C1 *MatProp(Reinf_02_Menegotto-Pinto-C1,Real)
	C2 *MatProp(Reinf_02_Menegotto-Pinto-C2,Real)
*elseif(strcmp(MatProp(Reinf_02_Material_Prototype),"CCSmearedSteelDRC")==0)
  E *MatProp(Reinf_02_Young_s_Modulus-E)
  FY *MatProp(Reinf_02_FY,Real)
  EU *MatProp(Reinf_02_EU,Real)
  FU *MatProp(Reinf_02_FU,Real)
  ESH *MatProp(Reinf_02_ESH,Real)
  EFT *MatProp(Reinf_02_EFT,Real)
  OMEGA *MatProp(Reinf_02_OMEGA,Real)
*If(strcmp(MatProp(Reinf_02_Type_of_definition),"PSH")==0)
  PSH *MatProp(Reinf_02_PSH,Real)
*Else
  ESH1 *MatProp(Reinf_02_ESH1,Real)
  FSH1 *MatProp(Reinf_02_FSH1,Real)       
*EndIf 
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+17)
  NAME "#*matvar *MatProp(0)"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID+16)
  PARAM  "F_MULTIP" F *Operation(matvar*IncrAdvancedFunID+8)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+10)
 ;
*EndIf

*EndIf

*If(MatProp(Activate_Smeared_Reinf_03,Int)==1)

*if(strcmp(MatProp(Reinf_03_Material_Prototype),"CCSmearedSteelDRC")!=0)
*include ..\include.src.bas\CCMaterialFunction03.bas
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+19)
*else
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+20)
*EndIf     
  NAME "S3" // "*MatProp(0)#*matvar REBAR#3"
  TYPE "*MatProp(Reinf_03_Material_Prototype)"
  //  E *MatProp(Reinf_03_Young_s_Modulus-E,Real)
  RHO *MatProp(Reinf_03_RHO-Density,Real)
  ALPHA *MatProp(Reinf_03_Thermal_Expansion-Alpha,Real)
  RATIO *MatProp(Reinf_03_Reinforcing_RATIO_p=As/Ac,Real)
*if(strcmp(MatProp(Reinf_03_Material_Prototype),"CCSmearedSteelDRC")!=0)  
  COMPRESSION *MatProp(Reinf_03_Active_in_Compresion,Int)
  Function *Operation(matvar*IncrAdvancedFunID+17)
*EndIf
*include ..\include.src.bas\VectorDirection03.bas
*if(strcmp(MatProp(Reinf_03_Material_Prototype),"CCCyclingSmearedReinf")==0)
	R *MatProp(Reinf_03_Bauschinger_exp-R_,Real)
	C1 *MatProp(Reinf_03_Menegotto-Pinto-C1,Real)
	C2 *MatProp(Reinf_03_Menegotto-Pinto-C2,Real)
*elseif(strcmp(MatProp(Reinf_03_Material_Prototype),"CCSmearedSteelDRC")==0)
  E *MatProp(Reinf_03_Young_s_Modulus-E,Real)
  FY *MatProp(Reinf_03_FY,Real)
  EU *MatProp(Reinf_03_EU,Real)
  FU *MatProp(Reinf_03_FU,Real)
  ESH *MatProp(Reinf_03_ESH,Real)
  EFT *MatProp(Reinf_03_EFT,Real)
  OMEGA *MatProp(Reinf_03_OMEGA,Real)
*If(strcmp(MatProp(Reinf_03_Type_of_definition),"PSH")==0)
  PSH *MatProp(Reinf_03_PSH,Real)
*Else
  ESH1 *MatProp(Reinf_03_ESH1,Real)
  FSH1 *MatProp(Reinf_03_FSH1,Real)       
*EndIf 
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+20)
  NAME "#*matvar *MatProp(0)"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID+19)
  PARAM  "F_MULTIP" F *Operation(matvar*IncrAdvancedFunID+8)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+10)
 
*EndIf
 ;
*EndIf

*If(MatProp(Activate_Smeared_Reinf_04,Int)==1)

*if(strcmp(MatProp(Reinf_04_Material_Prototype),"CCSmearedSteelDRC")!=0)
*include ..\include.src.bas\CCMaterialFunction04.bas
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+22)
*else
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+23)
*EndIf     
  NAME "S4" // "*MatProp(0)#*matvar REBAR#3"
  TYPE "*MatProp(Reinf_04_Material_Prototype)"
  //  E *MatProp(Reinf_04_Young_s_Modulus-E,Real)
  RHO *MatProp(Reinf_04_RHO-Density,Real)
  ALPHA *MatProp(Reinf_04_Thermal_Expansion-Alpha,Real)
  RATIO *MatProp(Reinf_04_Reinforcing_RATIO_p=As/Ac,Real)
*if(strcmp(MatProp(Reinf_04_Material_Prototype),"CCSmearedSteelDRC")!=0)
  COMPRESSION *MatProp(Reinf_04_Active_in_Compresion,Int)
  Function *Operation(matvar*IncrAdvancedFunID+20)
*EndIf
*include ..\include.src.bas\VectorDirection04.bas
*if(strcmp(MatProp(Reinf_04_Material_Prototype),"CCCyclingSmearedReinf")==0)
	R *MatProp(Reinf_04_Bauschinger_exp-R_,Real)
	C1 *MatProp(Reinf_04_Menegotto-Pinto-C1,Real)
	C2 *MatProp(Reinf_04_Menegotto-Pinto-C2,Real)
*elseif(strcmp(MatProp(Reinf_04_Material_Prototype),"CCSmearedSteelDRC")==0)
  E *MatProp(Reinf_04_Young_s_Modulus-E,Real)
  FY *MatProp(Reinf_04_FY,Real)
  EU *MatProp(Reinf_04_EU,Real)
  FU *MatProp(Reinf_04_FU,Real)
  ESH *MatProp(Reinf_04_ESH,Real)
  EFT *MatProp(Reinf_04_EFT,Real)
  OMEGA *MatProp(Reinf_04_OMEGA,Real)
*If(strcmp(MatProp(Reinf_04_Type_of_definition),"PSH")==0)
  PSH *MatProp(Reinf_04_PSH,Real)
*Else
  ESH1 *MatProp(Reinf_04_ESH1,Real)
  FSH1 *MatProp(Reinf_04_FSH1,Real)       
*EndIf 
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+23)
  NAME "#*matvar *MatProp(0)"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID+22)
  PARAM  "F_MULTIP" F *Operation(matvar*IncrAdvancedFunID+8)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+10)
 
*EndIf
 ;
*EndIf

*If(MatProp(Activate_Smeared_Reinf_05,Int)==1)

*if(strcmp(MatProp(Reinf_05_Material_Prototype),"CCSmearedSteelDRC")!=0)
*include ..\include.src.bas\CCMaterialFunction05.bas
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+25)
*else
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+26)
*EndIf     
  NAME "S5" // "*MatProp(0)#*matvar REBAR#3"
  TYPE "*MatProp(Reinf_05_Material_Prototype)"
  // E *MatProp(Reinf_05_Young_s_Modulus-E,Real)
  RHO *MatProp(Reinf_05_RHO-Density,Real)
  ALPHA *MatProp(Reinf_05_Thermal_Expansion-Alpha,Real)
  RATIO *MatProp(Reinf_05_Reinforcing_RATIO_p=As/Ac,Real)
*if(strcmp(MatProp(Reinf_01_Material_Prototype),"CCSmearedSteelDRC")!=0)
  COMPRESSION *MatProp(Reinf_05_Active_in_Compresion,Int)
  Function *Operation(matvar*IncrAdvancedFunID+23)
*EndIf
*include ..\include.src.bas\VectorDirection05.bas
*if(strcmp(MatProp(Reinf_05_Material_Prototype),"CCCyclingSmearedReinf")==0)
	R *MatProp(Reinf_05_Bauschinger_exp-R_,Real)
	C1 *MatProp(Reinf_05_Menegotto-Pinto-C1,Real)
	C2 *MatProp(Reinf_05_Menegotto-Pinto-C2,Real)
*elseif(strcmp(MatProp(Reinf_05_Material_Prototype),"CCSmearedSteelDRC")==0)
  E *MatProp(Reinf_05_Young_s_Modulus-E,Real)
  FY *MatProp(Reinf_05_FY,Real)
  EU *MatProp(Reinf_05_EU,Real)
  FU *MatProp(Reinf_05_FU,Real)
  ESH *MatProp(Reinf_05_ESH,Real)
  EFT *MatProp(Reinf_05_EFT,Real)
  OMEGA *MatProp(Reinf_05_OMEGA,Real)
*If(strcmp(MatProp(Reinf_05_Type_of_definition),"PSH")==0)
  PSH *MatProp(Reinf_05_PSH,Real)
*Else
  ESH1 *MatProp(Reinf_05_ESH1,Real)
  FSH1 *MatProp(Reinf_05_FSH1,Real)       
*EndIf 
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+26)
  NAME "#*matvar *MatProp(0)"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID+25)
  PARAM  "F_MULTIP" F *Operation(matvar*IncrAdvancedFunID+8)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+10)
 
*EndIf
 ;
*EndIf


*If(MatProp(Activate_Smeared_Reinf_06,Int)==1)

*if(strcmp(MatProp(Reinf_06_Material_Prototype),"CCSmearedSteelDRC")!=0)
*include ..\include.src.bas\CCMaterialFunction06.bas
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+28)
*else
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+29)
*EndIf     
  NAME "S6" // "*MatProp(0)#*matvar REBAR#3"
  TYPE "*MatProp(Reinf_06_Material_Prototype)"
  // E *MatProp(Reinf_06_Young_s_Modulus-E,Real)
  RHO *MatProp(Reinf_06_RHO-Density,Real)
  ALPHA *MatProp(Reinf_06_Thermal_Expansion-Alpha,Real)
  RATIO *MatProp(Reinf_06_Reinforcing_RATIO_p=As/Ac,Real)
*if(strcmp(MatProp(Reinf_06_Material_Prototype),"CCSmearedSteelDRC")!=0)
  COMPRESSION *MatProp(Reinf_06_Active_in_Compresion,Int)
  Function *Operation(matvar*IncrAdvancedFunID+26)
*EndIf
*include ..\include.src.bas\VectorDirection06.bas
*if(strcmp(MatProp(Reinf_06_Material_Prototype),"CCCyclingSmearedReinf")==0)
	R *MatProp(Reinf_06_Bauschinger_exp-R_,Real)
	C1 *MatProp(Reinf_06_Menegotto-Pinto-C1,Real)
	C2 *MatProp(Reinf_06_Menegotto-Pinto-C2,Real)
*elseif(strcmp(MatProp(Reinf_06_Material_Prototype),"CCSmearedSteelDRC")==0)
  E *MatProp(Reinf_06_Young_s_Modulus-E,Real)
  FY *MatProp(Reinf_06_FY,Real)
  EU *MatProp(Reinf_06_EU,Real)
  FU *MatProp(Reinf_06_FU,Real)
  ESH *MatProp(Reinf_06_ESH,Real)
  EFT *MatProp(Reinf_06_EFT,Real)
  OMEGA *MatProp(Reinf_06_OMEGA,Real)
*If(strcmp(MatProp(Reinf_06_Type_of_definition),"PSH")==0)
  PSH *MatProp(Reinf_06_PSH,Real)
*Else
  ESH1 *MatProp(Reinf_06_ESH1,Real)
  FSH1 *MatProp(Reinf_06_FSH1,Real)       
*EndIf 
*EndIf

*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
MATERIAL ID *Operation(matvar*IncrAdvancedMatID+29)
  NAME "#*matvar *MatProp(0)"
  TYPE "CCMaterialWithTempDepProperties"
  BASE *Operation(matvar*IncrAdvancedMatID+28)
  PARAM  "F_MULTIP" F *Operation(matvar*IncrAdvancedFunID+8)
  EPS_T_F  *Operation(matvar*IncrAdvancedFunID+10)
 
*EndIf
 ;
*EndIf


// Base Material definition for matvar *Operation(matvar)
MATERIAL ID *matvar 
  NAME  *\
*if(strcmp(MatProp(Material_Prototype),"CCCombinedMaterialWithTempDepProperties")==0)
"#*matvar *MatProp(0) as CCCombinedMaterialWithTempDepProperties"
*else
"#*matvar *MatProp(0) as CCCombinedMaterial"
*EndIf
*include ..\include.src.bas\CCCombinedMaterial.bas
